### Method

# WebKit2 WebsiteDataManager get_service_worker_registrations_directory

deprecated: 2.40 since: 2.30

#### Declaration [src]

    const gchar*
    webkit_website_data_manager_get_service_worker_registrations_directory (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Get the `WebKitWebsiteDataManager:service-worker-registrations-directory` property.

Available since: 2.30

Deprecated since: 2.40

, use `webkit_website_data_manager_get_base_data_directory()` instead.

Gets property | `WebKit2.WebsiteDataManager:service-worker-registrations-directory`

#### Return value

Type: `const gchar*`

The directory where service worker registrations are stored or `NULL` if `manager` is ephemeral.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.